Skip to main content
POST
Cancel an eval run

Authorizations

X-Lightsage-Api-Key
string
header
required

Path Parameters

run_id
string
required

Response

Successful Response

id
string
required

Run ID to use when polling eval-run status.

job_id
string
required

Alias of id for the durable parent job.

status
string
required

Terminal values: completed, failed, and cancelled. Recoverable interruptions are reported as running with stage retrying.

eval_id
string | null

Saved eval definition ID, including one created by a direct run.

eval_name
string | null

Display name captured for the eval when the run was created.

configuration_id
string | null
persona
string | null

Perspective applied to every attempt in this simulation.

agent
string[]

Runnable agents selected for this simulation.

prompt_count
integer
default:1

Number of prompts included in the simulation.

Required range: x >= 1
runs
integer
default:1

Independent attempts requested for every prompt-agent pair.

Required range: x >= 1
attempt_count
integer
default:1

Total concrete attempts after all fan-out dimensions.

Required range: x >= 1
stage
string | null
dispatch_id
string | null
progress
PublicEvalRunProgress · object
estimated_cost
number | null
error
string | null
created_at
string | null
started_at
string | null
completed_at
string | null